OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Interface Signaler

All Known Implementing Classes:
  BarrierSignaler

public interface Signaler

The Signaler interface was designed to get around the problem of not being able to extend the functionality of the Object.notify and Object.notifyAll methods. In some instances is would be nice to alter the default behavior slightly, the signaler interface allows this to occur.

An object that implements the Signaler interface is used just like a typical object. But instead of using notify and notifyAll, the methods signal and signalAll should be used in their place.

Author:
  Weave , Sowmya , OpenNMS

Method Summary
`void` `signal()` Provides the functionality of the notify method, but may be overridden by the implementor to provide additional functionality.
`void` `signalAll()` Provides the functionality of the notifyAll method, but may be overridden by the implementor to provide additional functionality.

Method Detail

### signal

    public void signal()

  Provides the functionality of the notify method, but may be overridden by the implementor to provide additional functionality.

  See Also:
    `Object.notify()`

### signalAll

    public void signalAll()

  Provides the functionality of the notifyAll method, but may be overridden by the implementor to provide additional functionality.

  See Also:
    `Object.notifyAll()`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.